.TH PA 1 "14 February 1991"
.SH NAME
pa \- Parallaxis: A Compiler for Massively Parallel Programs
.SH SYNOPSIS
.B pa
{ 
.B \-options
} 
[
.I sourcefile
[
.B \-o
.I outputfile
]
]
.SH DESCRIPTION
.B pa
is the compiler for the massively parallel programming language
.I Parallaxis.
It translates programs written in Parallaxis
into assembly-like parallel intermediate code PARZ.
These translated programs may be executed by the parallel
simulator pz (1).

If the sourcefile does not end in .p or .pre, pa appends these suffixes.
If none of these files exist, the filename without suffix is used.
By default, the outputfile has the suffix .z, but may be changed with the -o option.
.SH OPTIONS
.TP
.B d
ignore TRACE and DEBUG commands in the source program.
.TP
.BI e number
set max. number of error messages (default is 10).
.TP
.B h
use temporary variables only once.
.TP
.B l
generate listing file. The listing filename has .list as suffix.
.TP
.B m
omit code for checking division by 0.
.TP
.B n
omit code for testing NIL-pointer-access.
.TP
.B p
read from standard-input and write to standard-output.
Here, a sourcefile must not be supplied and option -l
will be ignored.
.TP
.B r
do not generate code for range checks
.TP
.B u
distinguish between upper and lower case letters.
.TP
.B v
verbose mode compilation.
.TP
.BI w number
set max. number of warning messages (default is 10).
.TP
.B x
generate a cross-reference file. This file contains the needed informations to
use the symbolic debugger in the simulator. The file name is built by using the
suffix .xrf. When using the compiler as a filter the file name $xrf is used 
for the cross-reference file.
.SH SEE ALSO
.BR pz (1).

