.TH PZ2C 1 "5 December 1991"
.SH NAME
pz2c \- PARZ Compiler
.SH SYNOPSIS
.B pz2c
{ 
.B \-options
} 
.I sourcefile
[
.B \-o
.I exefile
]
]
.SH DESCRIPTION
.B pz2c
is the compiler for the massively parallel programming language
.I PARZ.
It translates programs written in PARZ
into C code which will subsequently be translated by the 
C compiler into relocatable binary programs.

If the sourcefile does not end in '.z', pz2c appends this suffix.
If the sourcefile ends in '.p', pz2c will call the Parallaxis compiler 
.B pa
to generate a PARZ program, before translating it into C code.
By default, the generated executable file has the basename of the sourcefile, 
but it may be changed with the -o option.
.SH OPTIONS
.TP
.BI d
use double precision floating point numbers
.TP
.BI e num
set max. number of error messages (default is 10).
.TP
.B g
the run-time of the program will be measured
.TP
.B m
compiles existent C code
.TP
.B O
calls the C compiler with the optimize flag
.TP
.B p
first run the Parallaxis compiler pa
.TP
.B R
activate recording mode
.TP
.B r
remove generated C code after compilation
.TP
.B t
generate code for trace information
.TP
.B u
handle option '-u' to pa
.TP
.B v
verbose mode compilation.
.TP
.BI w num
set max. number of warning messages (default is 10).
.TP
.B x
generate a cross-reference file.
.TP
.B z
don't compile the generated C code
.SH ENVIRONMENT
.TP 15
.SB PZ2C_HEADER
The value of this environment variable is added to the list of directories,
in which to search for #include files with relative filenames 
(not beginning  with  slash  `/'). See also option -I for 
.B cc.
.TP
.SB PZ2C_LIB
The value of this environment variable is added to the list of directories,
in which to search for object-libraries (not beginning  with  slash  `/').
See also option -L for
.B cc.
.SH FILES
.PD 0
.TP 20
.B pz2c.h, 
.TP
.B libpz2c.a
.PD
.SH AUTHOR 
Stefan Engelhardt, University Stuttgart, Germany.
.SH SEE ALSO
.PD 0
.TP 20
.B pa (1), 
.TP 
.B pz (1).
.PD

