/**********************************************************************
 ***                                                                ***
 ***    PARZ-Library for MasPar MPL                                 ***
 ***                                                                ***
 ***    (c) by University Stuttgart, Germany, 1991                  ***
 ***                                                                ***
 ***    Don't edit this file !!!                                    ***
 ***                                                                ***
 *********************************************************************/

#ifndef PZ2MPLFEH
#define PZ2MPLFEH

#include <stdio.h>
#include <math.h>
#include <sys/time.h>
#include <sys/resource.h>

/********************  DEFINES  **************************************/

#define SINGLE 0
#define DOUBLE 1

#if 0
#define PRECISION DOUBLE
#endif

/********************* TYPES *****************************************/

typedef long           INT;
typedef unsigned char  CHAR;
#if PRECISION == DOUBLE
typedef double         REAL;
#else
typedef float          REAL;
#endif
typedef long           BOOL;

typedef union {
        INT   i;
        CHAR  c;
        BOOL  b;
        REAL  r;
        } MemItem;

/************************** VARIABLES *******************************/

/*** predeclared variables ***/

extern  MemItem  _SRESULT;
extern  MemItem  _DONE;
extern  MemItem  _TERMCH;
extern  MemItem  _MAXTRANS;
extern  MemItem  _ACTTRANS;

extern  FILE *in, *out;

/*** maintenance ***/

struct timezone timeZone;
extern MemItem    *SDisp [];
extern MemItem   **SIndDisp;
extern int         IndIndex, *IndSizeDisp;
extern INT         outPortTmp, inPortTmp;
extern int         indent;
extern MemItem     tmpItem1, tmpItem2, tmpItem3;

/*************************** FUNCTIONS ******************************/

/*** maintenance ***/

extern MemItem *PushSDisplay (), *PopSDisplay ();

extern void FEPrintTime ();
extern void UnComp ();
extern void SetSet ();
extern void SetPos ();

extern INT      NewSMem ();
extern MemItem *SRef ();

extern int SetTmpItemI (),  SetTmpItemR ();
extern int SetTmpItemC (),  SetTmpItemB ();
extern int SetTmpItem2I (), SetTmpItem2R ();
extern int SetTmpItem2C (), SetTmpItem2B ();

extern void INIT_FE (), Indent ();

extern void EmitRecording ();
extern void IncStatCounter ();

/*** stack ***/

extern void  PUSHSi (), PUSHSb (), PUSHSr (), PUSHSc ();
extern INT   POPSi  ();
extern REAL  POPSr  ();
extern BOOL  POPSb  ();
extern CHAR  POPSc  ();

/*** math ***/

extern INT   RandomI ();
extern CHAR  RandomC ();
extern INT   RandomB ();
extern REAL  RandomR ();

extern INT  _MOD (), _IPOWER ();
extern REAL _RIPOWER (), _RRPOWER ();

/*** input/output ***/

extern FILE  *in, *out;

extern void OpenInput (),  OpenInputChars (),  CloseInput ();
extern void OpenOutput (), OpenOutputChars (), CloseOutput ();

extern void  InBool (),  OutChars ();
extern int  InChars ();

/*** strings ***/

extern void _StrCopy ();
extern INT  _StrCmpCon ();
extern INT  _StrCmp ();
extern int  _StrLen ();
extern char *CharsToString ();


/** graphics **/

typedef struct colrec { MemItem r, g, b; } COLREC;

extern int init_x (), OpenW ();
extern int CloseW (), SelectW ();
extern int WSize (), SetColor (), VSetColor ();
extern int SetPixel (), VSetPixel (), DrawChar ();
extern int GetPixel (), MoveTo (), LineTo ();
extern int DrawString (), DrawInt (), DrawBool ();
extern int DrawReal (), DrawFixPt (), DrawImage ();

#endif

/*** End of pz2mpl-fe.h ***/
